// *******************************************************************
// B_HOME15.POV                                             6 Dec 2002
// Modernist_Home: more tests: new beauty shots
// *******************************************************************

#version 3.5;

// *******************************************************************
// Control Variables: 
//    turning some of these off = many "not 2 objs in csg" messages
// *******************************************************************

#declare ShowDetails = 1;    // 0=some,   1=full 
#declare GridOn      = 0;    // 0=hide,   1=show
#declare ShowLights  = 0;    // 0=day,    1=night
#declare ShowFloor   = 1;    // 0=hide,   1=show
#declare ShowGlass   = 1;    // 0=hide,   1=show
#declare ShowArch    = 1;    // 0=hide,   1=show
#declare DoorOpen    = 0;    // 0=closed, 1=open
#declare ShowRails   = 1;    // 0=hide,   1=show
#declare DayLight    = 1;    // 0=nite,   1=day
#declare ShowShrubs  = 1;    // 0=hide,   1=show

#include "m_home00.inc"      // declarations specific to Modernist_House

global_settings { assumed_gamma 1.0 
                  max_trace_level 7 }

// *******************************************************************
// LIGHTS! ( and Sky and Background )
// *******************************************************************

#if ( DayLight = 0 )
   background { color Black }             // nite
#else
   background { color LightBlue }         // day

   #declare LightLocate = < -80, 100, -150 >; //SW afternoon
//   #declare LightLocate = <  80, 100, -150 >; //SE forenoon
//   #declare LightLocate = <  80, 100,  150 >; //NE
//   #declare LightLocate = < -80, 100,  150 >; //NW

   #declare intensity = 2;

   #if ( ShowDetails = 0 )
      light_source { LightLocate  color White shadowless }
   #else
//      light_source { LightLocate  color White }
      sky_sphere { pigment { Bright_AquaBlue4  
                             scale < 65, 2, 15 >
                           }//end pigmnt
                 }//end day sky
      light_source {
         < 0, 0, 0 >                      // position (translated below)
         color rgb 1.0                    // color
         area_light < 2,0,0 > < 0,0,2 >   // light's spread
         2, 2                             // total number of lights
         adaptive 0                       // 0,1,2,3... 
         jitter                           // random softening
         translate LightLocate            // location of light
         parallel                         // more sun-like effect
         point_at <0, 0, 0>               // target point
//         shadowless                       // duh...
                } // end area light
   #end
#end

// *******************************************************************
// CAMERA!
// *******************************************************************

#declare Beauty_Shot =
camera {
   direction < 0, 0, 7 >
   location  < -5, 6, -200 >           // SW of center
   look_at   < 0, 6, 0 > }      

#declare Camera_North =
camera {
   direction < 0, 0, 2 >
   location  < 30, 100, 200 >          // north of east rm cntr
   look_at   < 30, 10, 0 > }

#declare Camera_South =
camera {
orthographic    // <<<<<<<<<<<<<<<<<<<<<<
   direction < 0, 0, 5 >
   location  < 0, 40, -190 >            // south of cntr
   look_at   < 0, 0, 0 > }

#declare Camera_East =
camera {
   direction < 0, 0, 4 >
   location  < 200, 40, 0 >            // East of center
   look_at   <   0, 10, 0 > }

#declare Camera_West =
camera {
   direction < 0, 0, 3 >
   location  < -150, 10, 0 >           // west
   look_at   <    0, 10, 0 > }

#declare Camera_SW =
camera {
   direction < 0, 0, 3 >
   location  < -70, 6, -70 >          // SW of center
   look_at   <   0, 6, 0 > }             

#declare Camera_NW =
camera {
   direction < 0, 0, 2 >
   location  < -70, 13, 70 >          // NW of center
   look_at   <   0, 13,  0 > }             

#declare Camera_SE =
camera {
   direction < 0, 0, 3 >
   location  < 20, 5, -140 >           // SE of center
   look_at   < -25, 5, 0 > }

#declare Camera_Above =
camera {         
   direction < 0,   0, 2 >
   location  < 0, 300, 0 >             // Above: dir 2, +200y
   look_at   < 0,   0, 0.1 > }         //  shows 150x 100z area

#declare Camera_Quarter =
camera { 
//   direction < 0, 0, 2.85 >
   angle 50
   location  < -33, 5, -54 >  
   look_at   <  23, 5, -12 > }             

// *******************************************************************
// *******************************************************************

#declare MoveX = 0; 
#declare MoveY = 0;
#declare MoveZ = 0;

//camera { Beauty_Shot    translate < MoveX, MoveY, MoveZ > }
//camera { Camera_North   translate < MoveX, MoveY, MoveZ > }
//camera { Camera_South   translate < MoveX, MoveY, MoveZ > }
//camera { Camera_East    translate < MoveX, MoveY, MoveZ > }
//camera { Camera_West    translate < MoveX, MoveY, MoveZ > }
//camera { Camera_SW      translate < MoveX, MoveY, MoveZ > }
//camera { Camera_NW      translate < MoveX, MoveY, MoveZ > }
//camera { Camera_SE      translate < MoveX, MoveY, MoveZ > }
//camera { Camera_Above   translate < MoveX, MoveY, MoveZ > }
camera { Camera_Quarter translate < MoveX, MoveY, MoveZ > }

// *******************************************************************
// Describe the set:
// *******************************************************************

// *******************************************************************
// III.  DEFINE  Modernist_Home Components:
// *******************************************************************

// *******************************************************************
//       B.  North Room:
// *******************************************************************

//    DEFINE  the North Room:
#declare North_Room =
union {
   //roof:
   object { North_Roof scale < 1, 0.7, 1>  translate y*22 }// <<< +1

   //chimneys:
   object { Chimney_1  translate <  17, 15, -17 > } //south
// maybe not needed:
//   object { Chimney_1  rotate y*90 
//                       translate < -30, 15,  0 > } //west

   //north wall:
   object { N_North_Frame_Up  translate <   0.0, 16, 17.5 > } //1st floor
   object { N_North_Frame_Dn  translate < -17.5,  6, 17.5 > } //ground

   //south:
   object { N_South_Frame_East    translate <    20, 16, -17.5 > } //1st floor
   object { N_South_Frame_West    translate < -22.5, 16, -17.5 > } //1st floor
   object { N_South_Frame_East    translate <    20,  6, -17.5 > } //ground
   object { N_South_Frame_West    translate < -22.5,  6, -17.5 > } //ground
   object { N_South_Frame_Center  translate <    -5, 16,  -7.5 > } //1st floor
   //1st floor: west of chimney: french doors:
   object { N_South_Frame_Doors   translate <  9, 16, -17.5 > }

   //west:
   object { N_West_Frame  translate < -30, 16, 0 > } //1st floor
   object { N_West_Frame  translate < -30,  6, 0 > } //ground floor

   //east: select one or the other, NOT BOTH:
//   object { N_East_Frame    translate < 35, 16, 0 > } //1st floor
   object { N_East_Railing  translate < 29, 13,  15.5 > } //1st floor

#if ( ShowDetails = 1 )
   //north wall:
   object { N_North_Panel_Up  translate <   0.0, 16, 17.5 > } //1st floor
   object { N_North_Panel_Dn  translate < -17.5,  6, 17.5 > } //ground

   //south wall:
   object { N_South_Panel         translate < -26,  6, -17.5 > } //both  
   object { N_South_Panel_Center  translate <  -5, 16,  -7.5 > } //1st floor

   //east wall:
   object { Window_Dome_1      translate < 29, 11, 0 > } //1st floor
   object { Window_Dome_Frame  translate < 29, 11, 0 > } //1st floor

   //west wall:
   object { N_West_Panel  translate < -30, 10, 0 > } //both floors

   //doors:
   object { M_Front_Door rotate y*180 translate < 0, 6, 17 > }//north door
   object { M_Front_Door  translate < -5, 6, -12.5 > }//south door

   //stairs, railings:
   object { North_Stairs  translate < -10, 5.85, 5.5 > }
   //stair railings:
   #if ( ShowRails = 1 )
      object { Railing_Section_A ( 1.5, 0.25, 3 )
                  rotate y*90  translate <  -3.75, 13, 12 > } //east 
      object { Railing_Section_A ( 1.5, 0.25, 3 )
                  rotate y*90  translate < -16.25, 13, 12 > } //west
      object { Railing_Section_A ( 1.5, 0.25, 3 )
                               translate < -16, 13, -0.5 > } //south
   #end //show railings?
#end  // show details?

   //ceiling lights:
   #if ( ShowLights = 1 )
      // ground floor:  >>> OK 10 Nov 02<<<
      object { Lamp_A_On  translate <  28.0, 11, -12.5 > } //south fireplace
      object { Lamp_A_On  translate <  16.0, 11, -12.5 > }
      object { Lamp_A_On  translate < -19.0, 11,  -8.0 > } //west fireplace
      object { Lamp_A_On  translate < -19.0, 11,   5.0 > }

      object { Lamp_B  translate <  34.0, 11,   8.0 > }
      object { Lamp_B  translate <  34.0, 11,  -8.0 > }
      object { Lamp_B  translate <  -5.0, 10,  -3.5 > } //front door
      object { Lamp_B  translate <   5.0, 10,  -3.5 > } //front door
      object { Lamp_B  translate < -21.0, 10,  13.0 > } //west door
      object { Lamp_B  translate <   2.0, 10,  15.0 > } //north door
      object { Lamp_B  translate <   7.5, 10,  15.0 > } //north door
      //1st. floor:         >>> OK 10 Nov 02<<<
      object { Lamp_B  translate <  -3.5, 19.5,  14.5 > } //north wall
      object { Lamp_B  translate <   5.0, 19.5,  14.5 > } //north wall
      object { Lamp_B  translate <  -5.0, 19.5,  -3.5 > } //front wall
      object { Lamp_B  translate <   5.0, 19.5,  -3.5 > } //front wall
      object { Lamp_B  translate < -15.0, 19.5,  -1.0 > } //west wall s
      object { Lamp_B  translate < -15.0, 19.5,  12.0 > } //west wall n
      object { Lamp_B  translate <  10.0, 20,  -1.0 > } //mid room s
      object { Lamp_B  translate <  10.0, 20,  12.0 > } //mid room n
      object { Lamp_B  translate <  25.0, 20,  -1.0 > } //east wall s
      object { Lamp_B  translate <  25.0, 20,  12.0 > } //east wall n
   #end

   // floor:
   #if ( ShowFloor = 1 )
      object { Build_Block_1           // ground floor    
               texture { Brown_Tex }
               scale < 61, 1, 36 >  
               translate < 0, 1, 0 >
             }// end north ground floor

      #if ( ShowDetails = 1 )
         object { Build_Block_1           // 1st floor cntr rear
                  texture { Tan_Tex  }
                  scale < 11, 0.5, 6.5 >
                  translate < -10, 11, 14.25 >
                }// end north of stair
         object { Build_Block_1           // 1st floor:center front
                  texture { Tan_Tex }
                  scale < 11, 0.5, 10 >
                  translate < -10, 11, -3 >
                }// end 1st floor center
         object { Build_Block_1           // 1st floor:west
                  texture { Tan_Tex }
                  scale < 15.5, 0.5, 35 >
                  translate < -22, 11, 0 >
                }// end west part
         object { Build_Block_1           // 1st floor:center east
                  texture { Tan_Tex }
                  scale < 11.5, 0.5, 26 >
                  translate < 0, 11, 5 >
                }// end 1st floor center
         object { Build_Block_1           // 1st floor east
                  texture { Tan_Tex }
                  scale < 24.5, 0.5, 35 >
                  translate < 18, 11, 0 >
                }// end 1st floor east

     #end  // show details? loop

   #end // show floor?
      } // end north room union


// *******************************************************************
// *******************************************************************
//       C.  East Room:
// *******************************************************************

//    DEFINE East Wing:
#declare East_Room =
union {
   //roof:
   object { East_Roof scale < 1, 0.8, 1>  translate y*12 }

   //walls:
   object { E_South_Frame  translate < 0, 6,  37.5 > }//north
   object { E_South_Frame  translate < 0, 6, -37.5 > }//south
   object { E_West_Frame_N translate < -20, 6,  21 > }
   object { E_East_Frame   translate <  20, 6, -32 > }

   //ceiling lights:
   #if ( ShowLights = 0 )
      object { Flat_Light  translate < 20.0, 12.5, -30.0 > }
      object { Flat_Light  translate < 40.0, 12.5, -30.0 > }
      object { Flat_Light  translate < 46.0, 12.5,  10.0 > }
      object { Flat_Light  translate < 46.0, 12.5, -10.0 > }
      object { Flat_Light  translate < 20.0, 12.5,  25.0 > }
      object { Flat_Light  translate < 40.0, 12.5,  25.0 > }
   #else
      object { Lamp_B  translate < 20.0, 12.5, -30.0 > }
      object { Lamp_B  translate < 40.0, 12.5, -30.0 > }
      object { Lamp_B  translate < 46.0, 12.5,  10.0 > }
      object { Lamp_B  translate < 46.0, 12.5, -10.0 > }
      object { Lamp_B  translate < 20.0, 12.5,  25.0 > }
      object { Lamp_B  translate < 40.0, 12.5,  25.0 > }
   #end

   #if ( ShowDetails = 1 ) //show maximum
      //walls:
      object { E_North_Panel  translate <   0.0, 6,  37.5 > }//north
      object { E_South_Panel  translate <   0.0, 6, -37.5 > }//south
      object { E_East_Panel   translate <  20.0, 6,   0.0 > }
      object { E_West_Panel_S translate < -17.5, 5, -22.5 > }
      object { E_West_Panel_N translate < -20.0, 6,  27.0 > }
      #if ( ShowRails = 1 )
         //roof railings:
         object { Railing_Section_A ( 1.5, 0.25, 23 )
                     rotate y*90  translate < 20.5, 14, 35.5 > } //east 
         object { Railing_Section_A ( 1.5, 0.25, 11 )
                                  translate < -18.5, 14,  37.55 > } //north
         object { Railing_Section_A ( 1.5, 0.25, 11 )
                                  translate < -18.5, 14, -37.55 > } //south
      #end //show railings?
   #end  //of show all details?

   //floor:
   #if ( ShowFloor = 1 )
      object { Build_Block_1              
               texture { DarkWood_Tex }
               scale < 41, 1, 76 >
               translate < 0, 1, 0 >
             }// end east floor
   #end //if showfloor loop
      } // end east room union


// *******************************************************************
// *******************************************************************
//       D.  West Room: Kitchen:
// *******************************************************************

//    DEFINE West Room:
#declare West_Room =
union {
   //roof:
   object { West_Roof  translate < 0, 21, 0 > scale < 1, 0.6, 1 > }

   //ceiling lights:
   #if ( ShowLights = 0 )
      object { Flat_Light  translate < -49, 11, -20 > }
      object { Flat_Light  translate < -35, 11, -20 > }
   #else
      object { Lamp_B  translate < -49, 11, -20 > }
      object { Lamp_B  translate < -35, 11, -20 > }
   #end

   //walls: frames:
   object { W_South_Frame  translate < 0, 6, -12.5 > }
   object { W_North_Frame  translate < 0, 6,  12.5 > }
   object { W_West_Frame   translate < -15, 6, 0 > }
   object { W_East_Frame   translate <  15, 6, 0 > }

   #if ( ShowDetails = 1 )
      //walls: panels:
      object { W_North_Panel  translate < 0, 6,  12.5 > }
      object { W_South_Panel  translate < 0, 6, -12.5 > }
      object { W_West_Panel   translate < -15, 6, 0 > }
      object { W_East_Panel   translate <  15, 6, 0 > }
      //kitchen:
//      object { W_Kitchen      translate < 0, 0, 0 > }
      //door:
      object { DoorA1_Closed  translate < -12,  4, 12.5 > }
      object { Above_Door     translate < -12, 10, 12.5 > }
   #end  // of show details?

   //floor:
   #if ( ShowFloor = 1 )
      object { Build_Block_1
               scale < 31, 1, 26 >
               texture { Tan_Tex }
             }// end west floor
   #end //show floor?
      } // end west room union


// *******************************************************************
// *******************************************************************
//  IV.   a Modernist/International Style House:
// *******************************************************************
// *******************************************************************

//    DEFINE the whole building and setting:
#declare Modernist_Home =
union {

   object { North_Room }
   object { East_Room  translate <  25, 0.0,   0 > }
   object { West_Room  translate < -45, 0.5, -20 > }
   object { Front_SideWalk  translate < -5, 0.5, -27.5 > }
   object { Arched_Hall_1   translate < -5, 4, -27.5 > }

   #if ( ShowShrubs = 1 )
      #include "m_scape.inc"           // landscaping
      #include "fktr01.inc"            // fake plastic trees
      //near front door:
      object { Planter_Box_2  translate < -22.5, 0.25, -25 > }
      object { treex02  scale <1.2, 3, 1.2> translate < -22.5, 0, -25 > }
      //fake trees: west side:
/*
      Planter_Box_3 (-63, 1, -35, 0, 0, 10, 4)
      object { treex02  scale < 1.3, 2.4, 1.2 >  translate < -65, 0,   0 > } 
      object { treex02  scale < 1.1, 2.0, 1.2 >  translate < -65, 0, -40 > }
      //fake tree: west front:
      object { treex07  scale 0.5  translate < -55, -4, -40 > } 
      object { treex08  scale 0.5  translate < -51, -5, -42 > }
      object { treex07  scale 0.5  translate < -45, -5, -40 > }
      object { treex08  scale 0.5  translate < -39, -3, -39 > }
      object { treex07  scale 0.7  translate < -35, -4, -40 > } 
      //fake tree: east side:
      Planter_Box_3 (50, 1, -35, 0, 0, 8, 10)
      object { treex02  scale < 1.1, 2.1, 1.2 >  translate <  50.0, 0,  35 > }
      object { treex02  scale < 1.2, 2.2, 1.3 >  translate <  50.0, 0,   0 > } 
      object { treex02  scale < 1.3, 1.9, 1.2 >  translate <  50.0, 0, -35 > }  
      //fake tree: east front:
      object { treex08  scale 0.5  translate < 41, -4, -44 > } 
      object { treex09  scale 0.7  translate < 35, -5, -45 > } 
      object { treex08  scale 0.6  translate < 27, -5, -42 > }
      object { treex09  scale 0.4  translate < 19, -3, -43 > }
      object { treex08  scale 0.5  translate < 14, -4, -45 > }
*/
   #end

      } // end union modernist house

// *******************************************************************
// *******************************************************************
// ACTION!  Define The Scene:
// *******************************************************************

object { Modernist_Home }

// GROUND:
object { Clip_Floor }

// **************************************************************
// **************************************************************

// graph paper:
#if ( GridOn = 1 )
//   object { Grid10XY } // vert rods
//   object { Grid10XZ } // horz rods  centered
//   object { Grid10XZ  translate < -10, 0,  10 > } // nw
//   object { Grid10XZ  translate <  10, 0, -10 > } // se
//   object { Grid5XY } // vert balls
//   object { Mark01  translate < 0, 0, 0 > } // center
   //centered y,z:
   object { Mark01  translate <   0, 0, 0 > } // center
   object { Mark01  translate <  10, 0, 0 > } // 10x apart
   object { Mark01  translate < -10, 0, 0 > } //    "
   object { Mark01  translate <  20, 0, 0 > } //        
   object { Mark01  translate < -20, 0, 0 > } //    "
   object { Mark01  translate <  30, 0, 0 > } // 
   object { Mark01  translate < -30, 0, 0 > } //    "
   object { Mark01  translate <  40, 0, 0 > } // 
   object { Mark01  translate < -40, 0, 0 > } //    "
   object { Mark01  translate <  50, 0, 0 > } // 
   object { Mark01  translate < -50, 0, 0 > } //    "
   //centered x,y: 
   object { Mark01  translate < 0, 0,  10 > } // 10z apart
   object { Mark01  translate < 0, 0, -10 > } //    "
   object { Mark01  translate < 0, 0,  20 > } //        
   object { Mark01  translate < 0, 0, -20 > } //    "
   object { Mark01  translate < 0, 0,  30 > } // 
   object { Mark01  translate < 0, 0, -30 > } //    "
   object { Mark01  translate < 0, 0,  40 > } // 
   object { Mark01  translate < 0, 0, -40 > } //    "
   object { Mark01  translate < 0, 0,  50 > } // 
   object { Mark01  translate < 0, 0, -50 > } //    "
   //south -50z:
   object { Mark01  translate <   0, 0, -50 > } // center
   object { Mark01  translate <  10, 0, -50 > } // 10x apart
   object { Mark01  translate < -10, 0, -50 > } //    "
   object { Mark01  translate <  20, 0, -50 > } //        
   object { Mark01  translate < -20, 0, -50 > } //    "
   object { Mark01  translate <  30, 0, -50 > } // 
   object { Mark01  translate < -30, 0, -50 > } //    "
   object { Mark01  translate <  40, 0, -50 > } // 
   object { Mark01  translate < -40, 0, -50 > } //    "
   object { Mark01  translate <  50, 0, -50 > } // 
   object { Mark01  translate < -50, 0, -50 > } //    "
   //west -50x
   object { Mark01  translate < -50, 0,  10 > } // 10z apart
   object { Mark01  translate < -50, 0, -10 > } //    "
   object { Mark01  translate < -50, 0,  20 > } //        
   object { Mark01  translate < -50, 0, -20 > } //    "
   object { Mark01  translate < -50, 0,  30 > } // 
   object { Mark01  translate < -50, 0, -30 > } //    "
   object { Mark01  translate < -50, 0,  40 > } // 
   object { Mark01  translate < -50, 0, -40 > } //    "
   object { Mark01  translate < -50, 0,  50 > } // 
   object { Mark01  translate < -50, 0, -50 > } //    "
#end 

// *******************************************************************
// *******************************************************************
//    Michael Brendan Hurley, SDE, Ltd.       Fall 2000-Winter 2002
// *******************************************************************
