// *******************************************************************
// M_SCAPE.INClude                                       Oct 1999-2002
// called by O_HOMEnn.POV, M_HOMEnn.POV and others
//       Landscaping structures and plants
// *******************************************************************
// *******************************************************************

// *******************************************************************
//   I.    DEFINE Front Yard
// *******************************************************************
//     1.    Structures
// **************************************************************
/*
#declare BigArch_Posts =               // posts centered on 0,0,0
union {
   //west pillars
   object { PostY1  scale < 2, 9, 2 >  translate < -5, 0, -4 > }
   object { PostY1  scale < 2, 9, 2 >  translate < -5, 0,  0 > }
   object { PostY1  scale < 2, 9, 2 >  translate < -5, 0,  4 > }
   //west capitals
   object { Torus_1  translate < -5, 3.8, -4 > }
   object { Torus_1  translate < -5, 3.8,  0 > }
   object { Torus_1  translate < -5, 3.8,  4 > }
   object { Torus_1  translate < -5, -3.8, -4 > }
   object { Torus_1  translate < -5, -3.8,  0 > }
   object { Torus_1  translate < -5, -3.8,  4 > }
   //west pediments
   object { CubeZ1  scale < 3.2, 2, 10.15 >  translate < -5,  4.5, 0 > }
   object { CubeZ1  scale < 3.2, 2, 10.15 >  translate < -5, -4.5, 0 > }
   //east pillars
   object { PostY1  scale < 2, 9, 2 >  translate <  5, 0, -4 > }
   object { PostY1  scale < 2, 9, 2 >  translate <  5, 0,  0 > }
   object { PostY1  scale < 2, 9, 2 >  translate <  5, 0,  4 > }
   //east capitals
   object { Torus_1  translate < 5,  3.8, -4 > }
   object { Torus_1  translate < 5,  3.8,  0 > }
   object { Torus_1  translate < 5,  3.8,  4 > }
   object { Torus_1  translate < 5, -3.8, -4 > }
   object { Torus_1  translate < 5, -3.8,  0 > }
   object { Torus_1  translate < 5, -3.8,  4 > }
   //east pediments
   object { CubeZ1  scale < 3.2, 2, 10.15 >  translate <  5,  4.5,  0 > }
   object { CubeZ1  scale < 3.2, 2, 10.15 >  translate <  5, -4.5,  0 > }
   #if ( ShowDetails )
      texture { Magenta_Tex }
   #else
      texture { T_Stone2
                scale < 3.5, 2.5, 3.5 >
                rotate z*10                
                finish { ambient 0.3
                         diffuse 0.4 //0.3
                         specular 0.8
                         roughness 0.05
                         reflection 0.05 }//end finish
              } // end texture
   #end              
      } // end Posts for Front Arch             

// **************************************************************

//   DEFINE an arch way for Atrium: Posts centered on 0, 0, 0
#declare Front_Arch =
union {
   object { BigArch_1
               translate < 0, 0, 0 > }
   object { BigArch_Posts  
               scale < 1, 0.8, 1 >
               translate < 0, -3.75, 0 > }
   #if ( ShowDetails )
      texture { Magenta_Tex }
   #else
      texture { T_Stone2
                scale < 3.5, 2.5, 3.5 >
                rotate z*10                
                finish { ambient 0.3
                         diffuse 0.4
                         specular 0.8
                         roughness 0.05
                         reflection 0.05 }//end finish
              } // end texture
   #end              
      } // end Front Arch
*/
// **************************************************************

// *******************************************************************
//     2.                        Landscaping
// *******************************************************************
//    DEFINE trees, shrubs, grass, etc.:
// *******************************************************************

//   DEFINE   a planter box: 2x 1.2y 6z:
#declare Planter_Box_1 =
object {                            
   difference {
      object { UnitBox
               scale < 1.0, 0.6, 3.0 >
             } // end Box outside
      object { UnitBox
               scale < 0.9, 0.5, 2.9 >
               translate y*0.11
              } // end Box inside
      #if ( ShowDetails = 0 )
         texture { Gray75_Tex }
      #else
         texture { Spex
         finish { ambient 0.3
                  diffuse 0.4
                  reflection 0.2 } //end finish
                 } // end texture
      #end
              } // end difference
       } // end planter box

// **************************************************************

//   DEFINE   a planter box: 7x 2y 7z:
#declare Planter_Box_2 =
union {                            
   difference {
      object { UnitBox
               scale < 6.0, 1.0, 6.0 >
             } // end Box outside
      object { UnitBox
               scale < 5.5, 1.0, 5.5 >
               translate y*0.2
              } // end Box inside
      #if ( ShowDetails = 0 )
         texture { Magenta_Tex }
      #else
         texture { Spex
         finish { ambient 0.3
                  diffuse 0.4
                  reflection 0.25 } //end finish
                 } // end texture
      #end
              } // end difference
   //dirt:
   object { box { < -5.5, -0.5, -5.5 > < 5.5, 0.5, 5.5 >
            pigment { VeryDarkBrown } }//end box 
          } // end generic dirt
      } // end union planter box 2

// **************************************************************

//    DEFINE planter boxes, v.3, w/ fake shrubry, from BrownStones:
//    Go_X, Go_Y, Go_Z = starting locations
//    Move_X, Move_Y, Move_Z = move objs this far each iteration
//    This_Many = how many planters in the row

#macro Planter_Box_3 (Go_X, Go_Y, Go_Z, Move_X, Move_Y, Move_Z, This_Many)
#local Looper = 1; // start loop counter
union {
   #while ( Looper <= This_Many)
      object { CubeY1 scale < 4, 2, 7 > 
                      translate < Go_X, Go_Y, Go_Z > 
               #if ( ShowDetails = 0 )
                  texture { Black_Tex }
               #else
                  texture { Spex }
               #end
             }// end planter box
      union {
         object { Sphere scale 1  
                         translate < Go_X, Go_Y+3.5, Go_Z > } //top
         object { Sphere scale 1.4  
                         translate < Go_X,   Go_Y+2, Go_Z > } //bottom
         #if ( ShowDetails = 0 )
            texture { Green_Tex }
         #else
            texture { Tree_Jade }
         #end
             }// end bushes
      #local Looper = Looper + 1;
      #local Go_X = Go_X + Move_X;
      #local Go_Y = Go_Y + Move_Y;
      #local Go_Z = Go_Z + Move_Z;
   #end  //loop 1 
      }//end union planter boxes 3
#end // macro

// **************************************************************
/*
//    DEFINE  Front Yard: 30x 35z:
#declare Front_Yard =
union {

      } // end union Front Yard
*/

// *******************************************************************
// *******************************************************************
//    M_SCAPE.INC         Michael Brendan Hurley               2002
//    www.geocities.com/mbrendanh/                 mbhcgc@saber.net
// *******************************************************************
// *******************************************************************
